summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-04-20 01:45:30 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-04-20 01:45:30 +0000
commitf6d9979de3a42a2429d08744b1edf44398fca1a7 (patch)
tree826be4d4c856af24ab7789384bfaea5cfe3e38bb /dev-python
parent05a6ba4b8370118e5b60559da434634f10a07405 (diff)
downloadbaldeagleos-repo-f6d9979de3a42a2429d08744b1edf44398fca1a7.tar.gz
baldeagleos-repo-f6d9979de3a42a2429d08744b1edf44398fca1a7.tar.xz
baldeagleos-repo-f6d9979de3a42a2429d08744b1edf44398fca1a7.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/argcomplete/Manifest1
-rw-r--r--dev-python/argcomplete/argcomplete-1.12.3.ebuild42
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.17.54.ebuild56
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.20.54.ebuild59
-rw-r--r--dev-python/flask-mongoengine/flask-mongoengine-1.0.0.ebuild41
-rw-r--r--dev-python/jikanpy/Manifest1
-rw-r--r--dev-python/jikanpy/jikanpy-4.3.2.ebuild27
-rw-r--r--dev-python/jsondiff/Manifest1
-rw-r--r--dev-python/jsondiff/jsondiff-1.3.0.ebuild33
-rw-r--r--dev-python/jsondiff/metadata.xml4
-rw-r--r--dev-python/lmdb/Manifest1
-rw-r--r--dev-python/lmdb/lmdb-1.2.1.ebuild39
-rw-r--r--dev-python/notify2/notify2-0.3.1-r2.ebuild4
-rw-r--r--dev-python/s3transfer/Manifest1
-rw-r--r--dev-python/s3transfer/s3transfer-0.4.0.ebuild32
17 files changed, 340 insertions, 4 deletions
diff --git a/dev-python/argcomplete/Manifest b/dev-python/argcomplete/Manifest
index e93f068f90bc..00a032d037b1 100644
--- a/dev-python/argcomplete/Manifest
+++ b/dev-python/argcomplete/Manifest
@@ -1 +1,2 @@
DIST argcomplete-1.12.2.tar.gz 53861 BLAKE2B 59a8472818aef4967cb978302bd98b206b206beaf37ac7743b1e3460e3f184e4fe2dccbb48e1b436dfd1127248d3fa2f10ace81ba35c744d93adb5efedd7e470 SHA512 3099507eac285b396df1c02d7e7bdedc1dd26aaf599a81147ebaabe211a97362ddb94533c9bc733d30a9fe84fcb9d6b52794e4c12f99f881b320280d0d1479f0
+DIST argcomplete-1.12.3.tar.gz 76128 BLAKE2B 6924e53af37e4ea614dde4c76f44e5c2b777f8daa8fa8db53d6cbe06f56f2ce3edd11a9baad6fb2571e701fb74e02fbb8eed8ce1067c599fbb156ebd8289cccd SHA512 b302d2b1250b7159177a8491b2595c2166a2b96ac4d98cf45202282541f7da53c9f272ec778133d1734a22a07d490652b9d4c956af727397b2f6767a9a445b63
diff --git a/dev-python/argcomplete/argcomplete-1.12.3.ebuild b/dev-python/argcomplete/argcomplete-1.12.3.ebuild
new file mode 100644
index 000000000000..577884ca0738
--- /dev/null
+++ b/dev-python/argcomplete/argcomplete-1.12.3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Bash tab completion for argparse"
+HOMEPAGE="https://pypi.org/project/argcomplete/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ <dev-python/importlib_metadata-5[${PYTHON_USEDEP}]
+ ' python3_7 pypy3)"
+# pip is called as an external tool
+BDEPEND="
+ test? (
+ app-shells/fish
+ app-shells/tcsh
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pip-19
+ )"
+
+src_test() {
+ # workaround new readline defaults
+ echo "set enable-bracketed-paste off" > "${T}"/inputrc || die
+ local -x INPUTRC="${T}"/inputrc
+ distutils-r1_src_test
+}
+
+python_test() {
+ "${EPYTHON}" test/test.py -v || die
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 8abeb6658553..612cc20af04b 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -5,3 +5,4 @@ DIST boto3-1.17.50.tar.gz 361144 BLAKE2B 2c8549cfb2017e0a2aa6a164c286685e71abe8c
DIST boto3-1.17.51.tar.gz 361593 BLAKE2B de24e833330b4dc1f3011c824745af6cf521d166cacee0dd01884e23490441c12d78c868cb59635e73f2a0b0765339973ff98cb3db63d34444d426555a32a38a SHA512 c17047c24a1973ea34aec381c0a86e6c4ddac79aa4d1485a155fd92e5d21bc726659d14c829c2f1b4869341537adf4c03cfbcfd32aa8ced4d2966a8fe03256c2
DIST boto3-1.17.52.tar.gz 361931 BLAKE2B d7660d9e304faeec4f0922a03df2805ee8e619ca0c7c0a822f9defa46ac3f1bf53158ae83034e885dd11382383365b6ef901e6f8c0f985fa327d9ebeb1ba54bd SHA512 76f02eb6bd8e70a6b9c7a44ac14a479b23ba50f37ced6644c511e2bd3e8cd19f803c59e900f47918f52cb0be2522843d6a0c7dae18f595c7ac9f35ceee93c50a
DIST boto3-1.17.53.tar.gz 362118 BLAKE2B 5f143166cee5a3a3201eb2575cce540ba21772d1b436e255d304503ab49fadad80f737ae652fd6917bd70ee3a308b955a9c1bbe0e592d7df298f55089638b4dd SHA512 87496e0ab4ac12cbd8f0c10669f8d64f4e6183baf5bdc4f7f4e732e46e073d8a54417149e21f10c6b38562f3f105646d85dc21675ca23f75c9a8dba252f571b1
+DIST boto3-1.17.54.tar.gz 362224 BLAKE2B d67ea9a2833d4cf6ec50fc4eab9c194f813f92ef00fa0d1638e0dca0bf03a92fa5208707b3ceda70759231aa69c35bf83028eada42d04209a55d05daf37ce764 SHA512 795a78807e8aad9ba53b196ac6b3547e23d2f7cc962a34121280fe47dfa8f99eac19765c87817918c6ee36dfb7e2b647e5646b7da27eb67900f29430bfe2fb5c
diff --git a/dev-python/boto3/boto3-1.17.54.ebuild b/dev-python/boto3/boto3-1.17.54.ebuild
new file mode 100644
index 000000000000..2df16964cdb0
--- /dev/null
+++ b/dev-python/boto3/boto3-1.17.54.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 58414758c4bc..72f87d1e0fd7 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -5,3 +5,4 @@ DIST botocore-1.20.50.tar.gz 7632505 BLAKE2B e52668e217d7dd9769df9cd8e45ee6b50db
DIST botocore-1.20.51.tar.gz 7636119 BLAKE2B 3c2892b1bdd7697232a3426874178b248aa7d026cd3559f46e5dc2e552cc5f9c7fc2a37575e69f31674e26eeaf2eae6015c8fc60e4b735e9c421dc2d47aa117b SHA512 98a816632f618df85b8d4fe5b1871856e9b77e4b3c627fd189fb36e8170380fa7e2304178a5e3bfcea206e9a6829bc0eab2455e16e7f21fd7271a7491fc8faf0
DIST botocore-1.20.52.tar.gz 7649448 BLAKE2B 3b27f838ca985df19ab97200c57eea65e43202170aacec270974cd29c8b7f6ea4cab9ad9d53332059aba0d1736fcbb3dd5048b076d8d23ef71f542f734325fc2 SHA512 68a0a66ef0fb732b66ce81043b87dff9174a83edcb2bdfa4779bed05c76738e51f9934f29873cb7d8daf111750e7e5fc12229eb9838c96d3fc8e58b3290b2ca6
DIST botocore-1.20.53.tar.gz 7650473 BLAKE2B 797280da052c547c10dc7c391b4d070624bd52ae8372f46e29b863ef5abf02f167d459f1013e2b46e3bb6878203f6dc7dabbad141fc89a52a46a770ec45a0cfb SHA512 ad7bc9fd06b24c8f15826ed19d6c5163d048206724c91dc82df58bb9d1bdcddaafd116543fe667df356fd5c098a975621f2e649df5937f97f54ddc9c15867252
+DIST botocore-1.20.54.tar.gz 7650344 BLAKE2B 2dd0a3f8c7c5665e849cf74b663a88e63416f1dea8ca3ee7dbdf10cf35239d466919f2ae4b3c9a639b9e25a23d982b723b24f32ece43715d40283e96e3bf10f6 SHA512 77cdaf68378836205c94c7dfd8424f9ca44ac822fd418d323df30639157bb38e5534fcfbc5bb6cdd7695bec62e24a1d52b81a0be54b0f69f16d20c5182db004b
diff --git a/dev-python/botocore/botocore-1.20.54.ebuild b/dev-python/botocore/botocore-1.20.54.ebuild
new file mode 100644
index 000000000000..9d681f87244c
--- /dev/null
+++ b/dev-python/botocore/botocore-1.20.54.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/flask-mongoengine/flask-mongoengine-1.0.0.ebuild b/dev-python/flask-mongoengine/flask-mongoengine-1.0.0.ebuild
index df186b0b4222..47e7c2d15ad6 100644
--- a/dev-python/flask-mongoengine/flask-mongoengine-1.0.0.ebuild
+++ b/dev-python/flask-mongoengine/flask-mongoengine-1.0.0.ebuild
@@ -15,12 +15,14 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64"
-# TODO: make it spawn a local mongodb instance
-RESTRICT="test"
RDEPEND=">=dev-python/flask-1.1.2[${PYTHON_USEDEP}]
>=dev-python/mongoengine-0.20[${PYTHON_USEDEP}]
>=dev-python/flask-wtf-0.14.3[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-db/mongodb
+ )"
distutils_enable_sphinx docs
distutils_enable_tests pytest
@@ -34,3 +36,38 @@ python_prepare_all() {
distutils-r1_python_prepare_all
}
+
+python_test() {
+ local dbpath=${TMPDIR}/mongo.db
+ local logpath=${TMPDIR}/mongod.log
+
+ mkdir -p "${dbpath}" || die
+ ebegin "Trying to start mongod on port ${DB_PORT}"
+
+ LC_ALL=C \
+ mongod --dbpath "${dbpath}" --nojournal \
+ --bind_ip 127.0.0.1 --port 27017 \
+ --unixSocketPrefix "${TMPDIR}" \
+ --logpath "${logpath}" --fork || die
+ sleep 2
+
+ # Now we need to check if the server actually started...
+ if [[ -S "${TMPDIR}"/mongodb-27017.sock ]]; then
+ # yay!
+ eend 0
+ else
+ eend 1
+ eerror "Unable to start mongod for tests. See the server log:"
+ eerror " ${logpath}"
+ die "Unable to start mongod for tests."
+ fi
+
+ local failed
+ nonfatal epytest || failed=1
+
+ mongod --dbpath "${dbpath}" --shutdown || die
+
+ [[ ${failed} ]] && die "Tests fail with ${EPYTHON}"
+
+ rm -rf "${dbpath}" || die
+}
diff --git a/dev-python/jikanpy/Manifest b/dev-python/jikanpy/Manifest
index d58b025c4def..6708f8270c58 100644
--- a/dev-python/jikanpy/Manifest
+++ b/dev-python/jikanpy/Manifest
@@ -1 +1,2 @@
DIST jikanpy-4.3.1.tar.gz 725938 BLAKE2B 5e011ae4b6d267ad6a6a99b2d28a3f11c4b8949cc1682524d966ac441cce9c527465455573ec873360865f9b913bc14b5c4448ee681540a01bbb95f67c38dec2 SHA512 43170c3512393c50fd859e7481cdd6cce874bd54415959c0660d0804f10546bd22b836bf3c27a86946fc771e92192e28dd8ee02c71796f799b4cf748102d5e3f
+DIST jikanpy-4.3.2.tar.gz 726102 BLAKE2B 754a174a5c67852701e94d817ab84462cbd1aff9f18737cdf5c7a1e20c91ca325d7c34dfd9467ff337d24fd7d3896880137f0695afeff5a436b0d40a96d4c89d SHA512 48dcf154f5b438b9381eb7d37a5a603d77793c2e2a7f17b4315e3f44a735c83bec076ee44969002a5ad2cbdd6b5cf83287b961f5d96603ddbd6c534db78ee3a1
diff --git a/dev-python/jikanpy/jikanpy-4.3.2.ebuild b/dev-python/jikanpy/jikanpy-4.3.2.ebuild
new file mode 100644
index 000000000000..4d28f49a3f8b
--- /dev/null
+++ b/dev-python/jikanpy/jikanpy-4.3.2.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python wrapper for jikan.moe API."
+HOMEPAGE="https://pypi.org/project/jikanpy/"
+SRC_URI="https://github.com/abhinavk99/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? ( dev-python/vcrpy[${PYTHON_USEDEP}] )
+"
+
+RDEPEND="
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/simplejson[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/jsondiff/Manifest b/dev-python/jsondiff/Manifest
index dc2455ef7c1b..2311d358b58c 100644
--- a/dev-python/jsondiff/Manifest
+++ b/dev-python/jsondiff/Manifest
@@ -1 +1,2 @@
DIST jsondiff-1.2.0.tar.gz 15076 BLAKE2B 2d659598e6c647c8ea6622fc982808381e570c6ced23b5e77431b52e9fa746a5dbc743c739506362497d1f45dd2c290f23f459713ef31e927c05816e56659762 SHA512 5aa391ccc42d07330dfcf272b78aeb130f6f9033ca8b00cbea93549e32f07b98ea84cd6a1e61ab331da3de92838c69a501f95a9adb5f48e2eec46eb653264d55
+DIST jsondiff-1.3.0.tar.gz 15283 BLAKE2B 408070816a4b21a3f11f5b039464ba276fb253f712f29930454167d3aff22f78b4d828aba5e28cf05587c8a296b908fd1945a65958244a1093279bff5e3a555c SHA512 512e34d1a0673ed785f066c284c09412a3590ad916913ae1885ac567795cc73e2adf30596b60b64b6b379954e6cb82d5174e80dd9cf40ed53f6968bec8a3d8f2
diff --git a/dev-python/jsondiff/jsondiff-1.3.0.ebuild b/dev-python/jsondiff/jsondiff-1.3.0.ebuild
new file mode 100644
index 000000000000..45700b499512
--- /dev/null
+++ b/dev-python/jsondiff/jsondiff-1.3.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="Diff JSON and JSON-like structures in Python"
+HOMEPAGE="
+ https://github.com/xlwings/jsondiff/
+ https://pypi.org/project/jsondiff/"
+SRC_URI="
+ https://github.com/xlwings/${PN}/archive/${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ test? (
+ dev-python/nose-random[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # Avoid file collision with jsonpatch's jsondiff cli.
+ sed -e "/'jsondiff=jsondiff.cli/ d" -i setup.py || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/jsondiff/metadata.xml b/dev-python/jsondiff/metadata.xml
index 3be97d53cb5d..1034dc149609 100644
--- a/dev-python/jsondiff/metadata.xml
+++ b/dev-python/jsondiff/metadata.xml
@@ -5,6 +5,10 @@
<email>zmedico@gentoo.org</email>
<name>Zac Medico</name>
</maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
<upstream>
<remote-id type="github">xlwings/jsondiff</remote-id>
<remote-id type="pypi">jsondiff</remote-id>
diff --git a/dev-python/lmdb/Manifest b/dev-python/lmdb/Manifest
index 3de40e454fb5..54ef716ebda5 100644
--- a/dev-python/lmdb/Manifest
+++ b/dev-python/lmdb/Manifest
@@ -1,2 +1,3 @@
DIST lmdb-1.1.1.tar.gz 880359 BLAKE2B b202154eae151d3748e9e90fcb71a3c8a722923c2583e469ef1a0017a4c3dfdfd62d99db24fb79e7da1fc7c6a4fb695d9db5ed6a67750967788a12fe0ba24761 SHA512 4621c87dd646f8ca37f4cdc40ffa2fe809ca4da21b335856e50e6d0ae07f3828d424cde9cc383e4cdc761cd9311eb504d67678a33de51c1931a006ec86a2fcd0
DIST lmdb-1.2.0.tar.gz 881437 BLAKE2B bcb045868c100bcb82daed99bdbd73699dcb5a0e982679f1d9f49747f468e2ab2cbc412ba020b9deca7263fece501c25d984397ee2969187c8118da920c691aa SHA512 75c7aeb3e98ffddb9e40b4eb7404afd3c6ade93753488eac2cb5facfab3ec9b660d925b8bd1c40ca5f8180cb6ca33483020bb4c5ddc074b841693ba278883529
+DIST lmdb-1.2.1.tar.gz 881515 BLAKE2B 76d56e046b5a481411c9a180989da0d1c4b7371058e38abe6d8a6b76f7e2bc62678459241d319850cf739b7b067f3e89d309e5f9a538a187c52c1044fe8b768d SHA512 fa763e24c8f278e0b9c379f39329b7b80051e10d5d8edfdd631486490cfbe5c7bc641d885ffb9f298c0c07f7e6901cc826023c472f98b430a4ec9c0bc71139d5
diff --git a/dev-python/lmdb/lmdb-1.2.1.ebuild b/dev-python/lmdb/lmdb-1.2.1.ebuild
new file mode 100644
index 000000000000..108043e819e1
--- /dev/null
+++ b/dev-python/lmdb/lmdb-1.2.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the Lightning Database"
+HOMEPAGE="https://github.com/jnwatson/py-lmdb/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="OPENLDAP"
+SLOT="0"
+KEYWORDS=""
+
+RDEPEND="
+ >=dev-db/lmdb-0.9.28:=
+ $(python_gen_cond_dep '
+ dev-python/cffi[${PYTHON_USEDEP}]
+ ' 'python*')"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+python_compile() {
+ LMDB_FORCE_SYSTEM=1 distutils-r1_python_compile
+}
+
+python_test() {
+ epytest tests
+}
+
+python_install() {
+ # This is required when the CFFI extension is used (for PyPy3)
+ LMDB_FORCE_SYSTEM=1 distutils-r1_python_install
+}
diff --git a/dev-python/notify2/notify2-0.3.1-r2.ebuild b/dev-python/notify2/notify2-0.3.1-r2.ebuild
index c77217a01d20..8d1c08a593fc 100644
--- a/dev-python/notify2/notify2-0.3.1-r2.ebuild
+++ b/dev-python/notify2/notify2-0.3.1-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -18,7 +18,7 @@ KEYWORDS="amd64 arm arm64 ppc ppc64 x86"
IUSE="examples"
RDEPEND="dev-python/dbus-python[${PYTHON_USEDEP}]"
-BDEPEND="test? ( sys-apps/dbus[X] )"
+DEPEND="test? ( sys-apps/dbus[X] )"
python_test() {
virtx ${EPYTHON} test_notify2.py
diff --git a/dev-python/s3transfer/Manifest b/dev-python/s3transfer/Manifest
index 06006742c175..c5343e7e9b30 100644
--- a/dev-python/s3transfer/Manifest
+++ b/dev-python/s3transfer/Manifest
@@ -2,3 +2,4 @@ DIST s3transfer-0.3.4.tar.gz 118954 BLAKE2B 71436d3c8921650dfd2c3aec8a0ddbb2cdee
DIST s3transfer-0.3.5.tar.gz 118959 BLAKE2B 8666ec91058752a1862582f886d373bd4eebbb3684571e1fcb0648e2c4ef3f24366b4e496960715487b6f1fb7fdc96f0031ee48259984f2bcdfbb2a8fe3d33bb SHA512 2a5a0b3163a8ae7097d82f897afec97533acc0d1a03271b5e261bc0b98a9af5a0fa0d594cc4cb701c1698bbc347d10b2b105c4393f349bfd5ef628d1844e7ddb
DIST s3transfer-0.3.6.tar.gz 118877 BLAKE2B 0567b69ee71bd470b3b5bccce3db3e923eee6d8744d9e0e5a1789f3ba5f419742859f530ab43295e5ccb7ffe3c04da8db7ef92c973afac97ff2580bc13c6934f SHA512 3bf97f080b63a88f2860051ef9c0ecd4f06adf1a22eb5bd57c543532f7e85c39f722f0c9cd24022ac0ed3a54ca48a089a10b86703cb866730e265e53acbe602f
DIST s3transfer-0.3.7.tar.gz 120311 BLAKE2B a5de6ce10527495843605ea9e887ccbfead86f32d0eaa2f68dcc21dceb35c86cc21690bd82e3edd5a033699cf4257db93588cf7bbea8f75c01a80c29a17397fb SHA512 b341103e87c092b1c016dc8bfc45b4564c54f5c5a1f3549cf421802620b755d0779b80718a5b4357d3b206b71773fb2b28571730b673fd9af27fc8a3a40ce1b4
+DIST s3transfer-0.4.0.tar.gz 129231 BLAKE2B 4c4e16245f50c8347b5a887307255d33ebcd59ec7422e11361f7782f2df492dfc2507ee0a33903969b0eb610039ef0fdb4f83a2c9fa98cffe0070c7ce8d2eeaf SHA512 4801932d61cc3adfdd105833c3bc50f4135072b10efe04b45bff4b50f18a0783be196338be081e932c73a3eec5448c012bb3988575f8b2b61e9aec9c555ad826
diff --git a/dev-python/s3transfer/s3transfer-0.4.0.ebuild b/dev-python/s3transfer/s3transfer-0.4.0.ebuild
new file mode 100644
index 000000000000..e5e1d0311c45
--- /dev/null
+++ b/dev-python/s3transfer/s3transfer-0.4.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+
+inherit distutils-r1
+
+DESCRIPTION="An Amazon S3 Transfer Manager"
+HOMEPAGE="https://github.com/boto/s3transfer"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/botocore[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest tests/{unit,functional}
+}